#include<stdio.h>
#include<math.h>
long long int broj_cifara(long long v)
{
	if(v==0)
	return 0;
	if(v>0)
	return 1+broj_cifara(v/10);
}
long long int stepen(long long int x)
{
	long long int br=1;
	int i;
	for(i=0;i<x;i++)
	br=br*10;
	
	return br;
}
long long int resi(long long int v, long long int br)
{
	long long int c,x;
	if(v==0)
	return 0;
	if(v>0)
	{
		c=v/br;
		x=c*br;
		if(c==1||c==2||c==5)
		return 1+resi(v-x,br/10);
		
		if(c==3||c==4||c==6||c==7)
		return 2+resi(v-x,br/10);
		
		if(c==8||c==9)
		return 3+resi(v-x,br/10);
		
		if(c==0)
		return 0+resi(v,br/10);
	}
}
main()
{
	long long int v;
	long long int s,b,br;
	scanf("%lld",&v);
	b=broj_cifara(v);
	b=b-1;
	br=stepen(b);
	s=resi(v,br);
	printf("%lld",s);
}